 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: LocaleFinder
  * Author:   Louis
  * Date:     2020/8/31 22:19
  */
 package com.fr.plugin.sso;

 import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.fun.impl.AbstractLocaleFinder;

import static com.fr.plugin.sso.config.SsoConfig.PLUGIN_ID;

 /**
  * <Function Description><br>
  * <LocaleFinder>
  *
  * @author fr.open
  * @since 1.0.0
  */
 @EnableMetrics
 public class LocaleFinder extends AbstractLocaleFinder {

     @Override
     @Focus(id = PLUGIN_ID, text = "Plugin-Sso", source = Original.PLUGIN)
     public String find() {
         return "com/fr/plugin/sso/locale/lang";
     }

     @Override
     public int currentAPILevel() {
         return CURRENT_LEVEL;
     }
 }